org.apache.ignite.internal.pagemem.wal.record.delta

## Class DataPageInsertFragmentRecord

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.delta.PageDeltaRecord
    - - org.apache.ignite.internal.pagemem.wal.record.delta.DataPageInsertFragmentRecord

    public class DataPageInsertFragmentRecord
    extends PageDeltaRecord

Insert fragment to data page record.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordType`

### Constructor Summary

Constructors
Constructor and Description
`DataPageInsertFragmentRecord(int cacheId, long pageId, byte[] payload, long lastLink)`

### Method Summary

Methods
`void` `applyDelta(PageMemory pageMem, long pageAddr)` Apply changes from this delta to the given page.
`long` `lastLink()`
`byte[]` `payload()`
`int` `payloadSize()`
`WALRecord.RecordType` `type()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.delta.PageDeltaRecord

`cacheId, pageId, toString`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, size, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DataPageInsertFragmentRecord

    public DataPageInsertFragmentRecord(int cacheId,
                                long pageId,
                                byte[] payload,
                                long lastLink)

Parameters:
  `cacheId` - Cache ID.
  `pageId` - Page ID.
  `payload` - Fragment payload.
  `lastLink` - Link to the last entry fragment.

### Method Detail

#### applyDelta

    public void applyDelta(PageMemory pageMem,
                  long pageAddr)
                    throws IgniteCheckedException

Apply changes from this delta to the given page. It is assumed that the given buffer represents page state right before this update.

Specified by:
  `applyDelta` in class `PageDeltaRecord`
Parameters:
  `pageMem` - Page memory.
  `pageAddr` - Page address.
Throws:
  `IgniteCheckedException` - If failed.

#### type

    public WALRecord.RecordType type()

Specified by:
  `type` in class `WALRecord`
Returns:
  Entry type.

#### payloadSize

    public int payloadSize()

Returns:
  Fragment payload size.

#### payload

    public byte[] payload()

Returns:
  Fragment payload.

#### lastLink

    public long lastLink()

Returns:
  Link to the last entry fragment.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017